<template>
  <div id="show_employee_table1">
    <div class="columns tabs">
      <div class="column tab1 details_tab" @click="toggleTab" v-bind:class="{ tapped: tab }">Details</div>
      <div class="column tab1 package_tab" @click="toggleTab" v-bind:class="{ tapped: !tab }">Package</div>
    </div>
    <div id="details" v-if="tab">
      <div class="columns show_div grey_div">
        <div class="column col6 show_label">Status</div>
        <div class="column col6 show_field">{{this.value.status}}</div>
      </div>
      <div class="columns show_div">
        <div class="column col6 show_label">Date of Birth</div>
        <div class="column col6 show_field">{{this.value.dob}}</div>
      </div>
      <div class="columns show_div grey_div">
        <div class="column col6 show_label">Gender</div>
        <div class="column col6 show_field">{{this.value.gender}}</div>
      </div>
      <div class="columns show_div">
        <div class="column col6 show_label">Marital Status</div>
        <div class="column col6 show_field">{{this.value.marital_status}}</div>
      </div>
      <div class="columns show_div grey_div">
        <div class="column col6 show_label">Email</div>
        <div class="column col6 show_field">{{this.value.email}}</div>
      </div>
      <div class="columns show_div">
        <div class="column col6 show_label">Phone Number</div>
        <div class="column col6 show_field">{{this.value.phone}}</div>
      </div>
      <div class="columns show_div grey_div">
        <div class="column col6 show_label">Address</div>
        <div class="column col6 show_field">{{this.value.address}}</div>
      </div>
      <div class="columns show_div">
        <div class="column col6 show_label">No. of Children</div>
        <div class="column col6 show_field">{{this.value.children}}</div>
      </div>
      <div class="columns show_div grey_div">
        <div class="column col6 show_label">No. of Dependents</div>
        <div class="column col6 show_field">{{this.value.dependents}}</div>
      </div>
      <div class="button_div3 columns">
        <div class="left_btn column col-6">
          <button type="submit" class="btn submit_btn2" id="delete_employee_btn">Delete Employee</button>
        </div>
        <div class="column col-6 columns">
          <div class="column col-7 submitAnother">
            <button class="btn submit_btn3 btn-font">Change Status</button>
          </div>
          <div class="column col-4">
            <button v-on:click="editEmployee" class="btn submit_btn btn-font">Edit Details</button>
          </div>
        </div>
      </div>
    </div>
    <div id="package" v-else>
      <div class="button_div">
        <button class="btn btn-package btn-position" @click="showPackageTable">Use Package Template</button>
      </div>
      <Package :employeeId = employeeId />
    </div>
  </div>
</template>

<script>
import axios from "axios";
import Package from "./package.vue";
export default {
  name: "Form2",
  props: ["value", "enable_field", "display_4"],

  data() {
    return {
      employeeId: parseInt(this.value.id),
      display_tag: false,
      disable_field: false,
      display1: true,
      display2: false,
      modal_display: true,
      currentEmployee: this.value,
      showPackageForm: false,
      tab: true,
      // length:this.value.packages.length,
      frequency: "_",
      rate: "_",
      calculation: "_",
      start_date: "_",
      end_date: "_"
    };
  },
  components: {
    Package
  },
  methods: {
    briefDisplay() {
      setTimeout(function() {
        this.successful = false;
      }, 2000);
    },
    editEmployee() {
      this.display1 = true;
      this.display2 = false;
      this.$emit("submit", this.currentEmployee, this.display1, this.display2);
    },
    modifyPackage(event) {
      event.preventDefault();
    },
    showPackageTable(event) {
      event.preventDefault();
      console.log("Work in progress!!!");
      this.$emit("select", this.modal_display);
      this.disable_field=true
    },
    togglePackageForm(event) {
      event.preventDefault();
      
      // this.showPackageForm = !this.showPackageForm;
      // this.button = false
    },
    temps(){
      this.display_4 = true
    },
    toggleTab() {
      this.tab = !this.tab;
    },
    saveAsNew() {
      if (this.display_tag == false) {
        this.display_tag = true;
      } else {
        this.display_tag = false;
      }
    },
    update(e) {
      e.preventDefault();
      const axios = require("axios");
      var url = "/api/packages";
      let csrf = document
        .querySelector("meta[name='csrf-token']")
        .getAttribute("content");
      var package_form = document.getElementById("submitNewPackage");
      var data = new FormData(package_form);
      axios
        .post(url, data, {
          headers: { "Content-Type": "text/csv", "x-csrf-token": csrf }
        })
        .then(response => {
          console.log(response);
        });
    }
  },
  computed: {
    packageExists() {
      return this.value.packages.length > 0;
    }
  },
  // beforeMount() {
  //   const axios = require("axios");
  //   if (this.length) {
  //     (this.frequency = this.value.packages[length].frequency),
  //       (this.rate = this.value.packages[length].rate_amount),
  //       (this.calculation = this.value.packages[length].calculation);
  //     var url = "/employees/package/" + this.value.id;
  //     axios.get(url).then(response => {
  //       this.start_date = response.data.employee_package.start_date;
  //       this.end_date = response.data.employee_package.end_date;
  //       console.log(response.data.employee_package.inserted_at);
  //     });
  //   }
  //   console.log(this.enable_field);
  //   this.disable_field = this.enable_field;
  //   this.briefDisplay;
  // }
};
</script>